Bug 219008 - traceback due to python-2.5
traceback due to python-2.5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-09 01:10 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 14:10:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-12-09 01:10:00 EST
Description of problem:
I had just updated my rawhide system with yesterday's updates which include the
python-2.5 stuff. Now trying to run pirut, clicking on the 'List' tab produce
the following traceback.

>>
Component: Software Manager
Summary: TB6cffb9d0 __init__.py:169:simpleDBInstalled:TypeError: unknown key type

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 112, in _pageSwitch
    self.pageMap[num]()
  File "/usr/sbin/pirut", line 266, in _showListReal
    elif self.simpleDBInstalled(po.returnSimple('name')):
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 169, in
simpleDBInstalled
    mi = self.ts.ts.dbMatch('name', name)
TypeError: unknown key type

Local variables in innermost frame:
self: <__main__.PackageManager object at 0xf2f8d0>
name: a2ps
<<

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-12-11 14:10:09 EST
rpm wasn't handling unicode objects as stirngs; fixed with rpm-4.4.2-38

Note You need to log in before you can comment on or make changes to this bug.